libzypp 17.37.10

zypp::json::Bool Class Reference

`#include <zypp-core/parser/json/JsonBool.h>`

## Public Member Functions
| Bool ()=default
| ~Bool ()=default
| Bool (bool val)
| Bool (const Bool &)=default
| Bool (Bool &&)=default
Bool & | operator= (const Bool &)=default
Bool & | operator= (Bool &&)=default
Bool & | operator= (bool set)
| operator bool () const
std::string | asJSON () const
| JSON representation.
std::ostream & | dumpOn (std::ostream &str) const
| Stream output.

## Private Attributes
bool | _value = false

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const Bool &obj)
| Stream output.

## Detailed Description

Definition at line 20 of file JsonBool.h.

## Constructor & Destructor Documentation

## ◆ Bool() [1/4]

zypp::json::Bool::Bool | ( |  | ) |
| default

## ◆ ~Bool()

zypp::json::Bool::~Bool | ( |  | ) |
| default

## ◆ Bool() [2/4]

zypp::json::Bool::Bool | ( | bool | val | ) |
| inline

Definition at line 26 of file JsonBool.h.

## ◆ Bool() [3/4]

zypp::json::Bool::Bool | ( | const Bool & |  | ) |
| default

## ◆ Bool() [4/4]

zypp::json::Bool::Bool | ( | Bool && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/3]

Bool & zypp::json::Bool::operator= | ( | const Bool & |  | ) |
| default

## ◆ operator=() [2/3]

Bool & zypp::json::Bool::operator= | ( | Bool && |  | ) |
| default

## ◆ operator=() [3/3]

Bool & zypp::json::Bool::operator= | ( | bool | set | ) |
| inline

Definition at line 33 of file JsonBool.h.

## ◆ operator bool()

zypp::json::Bool::operator bool | ( |  | ) | const
| inline

Definition at line 38 of file JsonBool.h.

## ◆ asJSON()

std::string zypp::json::Bool::asJSON | ( |  | ) | const
| inline

JSON representation.

Definition at line 43 of file JsonBool.h.

## ◆ dumpOn()

std::ostream & zypp::json::Bool::dumpOn | ( | std::ostream & | str | ) | const
| inline

Stream output.

Definition at line 47 of file JsonBool.h.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const Bool & | obj )
| related

Stream output.

Definition at line 56 of file JsonBool.h.

## Member Data Documentation

## ◆ _value

bool zypp::json::Bool::_value = false
| private

Definition at line 51 of file JsonBool.h.

The documentation for this class was generated from the following file:

- zypp-core/parser/json/JsonBool.h